/**
 * Copyright (c) 2018-2019 Aleksey Melnikov, True Directive Company.
 * @link https://truedirective.com/
 * @license MIT
*/
import { ElementRef, ChangeDetectorRef } from '@angular/core';
import { GridStateService } from './grid-state.service';
import { InternationalizationService } from './internationalization/internationalization.service';
import { SummaryType, Summary } from '@true-directive/base';
import { Column } from '@true-directive/base';
export declare class GridFooterCellComponent {
    state: GridStateService;
    intl: InternationalizationService;
    private elementRef;
    private changeDetector;
    readonly summaryTypes: SummaryType[];
    displayedValue(a: Summary): string;
    canApply(t: SummaryType): boolean;
    hasAggr(t: SummaryType): boolean;
    column: Column;
    btn: any;
    menu: any;
    readonly menuVisible: any;
    menuClosed(e: any): void;
    menuShow(e: any): void;
    setAggr(t: SummaryType): void;
    addAggr(e: any, t: SummaryType): void;
    _currentSummary: Summary;
    toggleMenu(e: any, a?: Summary): void;
    constructor(state: GridStateService, intl: InternationalizationService, elementRef: ElementRef, changeDetector: ChangeDetectorRef);
}
